from app.constants import RoleType


PERMS = {
    RoleType.guest_user: ['can_read_write_public', 'can_read_write_public_ext'],
    RoleType.unverified_user: ['can_read_write_public', 'can_read_write_public_ext'],
    RoleType.verified_user: ['can_read_write_public', 'can_read_write_public_ext'],
    RoleType.sandbox_user: ['can_read_write_public', 'can_read_write_public_ext'],
    RoleType.public_user: ['can_read_write_public', 'can_read_write_public_ext'],
    RoleType.banned_user: ['cant_access_protocol'],
    RoleType.cafe_user: [
        'can_read_write_public_cafe_partnership',
        'can_read_write_public',
        'can_read_write_public_ext'],
    RoleType.resource_server: [
        'can_read_global_client',
        'can_read_global_currency',
        'can_read_global_permission',
        'can_read_global_partner',
        'can_read_global_offer',
        'can_read_global_sales_report',
        'can_read_write_public',
        'can_read_global_brand',
        'can_read_global_financial_report',
        'can_read_write_public_ext',
        'can_read_global_platform',
        'can_read_associated_item_file',
        'can_read_global_banner',
        'can_read_global_analytical_report',
        'can_read_global_language',
        'can_read_global_item_type',
        'can_read_global_android_tier',
        'can_read_global_offer_type',
        'can_read_global_refund',
        'can_read_global_user_organization_role',
        'can_read_global_organization_type',
        'can_read_global_order',
        'can_read_global_user',
        'can_read_global_cart',
        'can_read_global_user_item',
        'can_read_global_category',
        'can_read_global_orderline',
        'can_read_global_item',
        'can_read_global_discount_code',
        'can_read_global_discount',
        'can_read_global_device',
        'can_read_global_country',
        'can_read_global_payment_gateway',
        'can_read_global_author',
        'can_read_global_payment_user_item',
        'can_read_global_user_subscription',
        'can_read_global_item_file',
        'can_read_global_flurry_report',
        'can_read_associated_item',
        'can_read_global_parental_control',
        'can_read_global_point',
        'can_read_global_analytic',
        'can_read_global_user_point',
        'can_read_global_ios_tier',
        'can_read_global_payment',
        'can_read_global_role',
        'can_read_global_vendor',
        'can_read_global_windows_tier',
        'can_read_global_campaign',
        'can_read_global_organization'],
    RoleType.sales_promotion_girl: [
        'can_read_global_discount_code',
        'can_read_write_global_discount_code',
        'can_read_write_global_discount',
        'can_read_global_discount',
        'can_read_write_public',
        'can_read_write_public_ext'],
    RoleType.organization_specific_admin: [
        'can_read_associated_book',
        'can_read_associated_newspaper',
        'can_read_write_public',
        'can_read_write_public_ext',
        'can_read_associated_sales_report',
        'can_read_associated_analytical_report',
        'can_read_associated_item_file',
        'can_read_write_associated_item_file',
        'can_view_global_external_admin_panel',
        'can_read_associated_financial_report',
        'can_read_associated_flurry_report',
        'can_read_associated_item',
        'can_read_associated_magazine'],
    RoleType.organization_specific_marketing: [
        'can_read_associated_book',
        'can_read_associated_newspaper',
        'can_read_write_public',
        'can_read_associated_magazine',
        'can_read_associated_item',
        'can_read_write_public_ext',
        'can_read_associated_sales_report',
        'can_view_global_external_admin_panel',
        'can_read_associated_item_file',
        'can_read_associated_analytical_report'],
    RoleType.organization_specific_finance: [
        'can_view_global_external_admin_panel',
        'can_read_associated_newspaper',
        'can_read_write_public_ext',
        'can_read_associated_magazine',
        'can_read_associated_book',
        'can_read_write_public',
        'can_read_associated_item_file',
        'can_read_associated_item',
        'can_read_associated_analytical_report',
        'can_read_associated_financial_report',
        'can_read_associated_sales_report'],
    RoleType.organization_specific_data_entry: [
        'can_read_associated_newspaper',
        'can_read_associated_book',
        'can_view_global_external_admin_panel',
        'can_read_write_public',
        'can_read_write_public_ext',
        'can_read_associated_item_file',
        'can_read_write_associated_item_file',
        'can_read_associated_item',
        'can_read_associated_magazine'],
    RoleType.internal_data_entry: [
        'can_read_global_category',
        'can_read_global_language',
        'can_read_global_country',
        'can_read_global_vendor',
        'can_read_write_global_vendor',
        'can_read_global_author',
        'can_read_global_offer',
        'can_read_global_offer_type',
        'can_read_write_global_permission',
        'can_view_global_internal_admin_panel',
        'can_read_global_user',
        'can_read_global_client',
        'can_read_write_global_client',
        'can_read_write_global_user',
        'can_read_global_role',
        'can_read_write_global_role',
        'can_read_global_permission',
        'can_read_write_public',
        'can_read_write_public_ext',
        'can_read_global_organization_type',
        'can_read_write_global_organization_type',
        'can_read_global_organization',
        'can_read_associated_item_file',
        'can_read_global_item_file',
        'can_read_write_global_item_file',
        'can_read_write_associated_newspaper',
        'can_read_write_associated_item_file',
        'can_read_write_global_organization',
        'can_read_write_associated_organization',
        'can_read_associated_organization',
        'can_read_write_associated_item',
        'can_read_associated_magazine',
        'can_read_global_user_organization_role',
        'can_read_associated_user_organization_role',
        'can_read_write_associated_magazine',
        'can_read_associated_book',
        'can_read_write_associated_book',
        'can_read_associated_newspaper',
        'can_read_global_item_type',
        'can_read_write_global_item_type',
        'can_read_global_item',
        'can_read_associated_item',
        'can_read_global_brand',
        'can_read_write_global_user_organization_role',
        'can_read_write_associated_user_organization_role',
        'can_read_write_global_item',
        'can_read_write_global_brand',
        'can_read_write_global_category',
        'can_read_write_global_language',
        'can_read_write_global_country',
        'can_read_write_global_parental_control',
        'can_read_write_global_author',
        'can_read_write_global_offer',
        'can_read_global_currency',
        'can_read_write_global_currency',
        'can_read_global_payment_gateway',
        'can_read_write_global_payment_gateway',
        'can_read_global_campaign',
        'can_read_global_discount',
        'can_read_global_partner',
        'can_read_write_global_partner',
        'can_read_write_global_offer_type',
        'can_read_global_ios_tier',
        'can_read_write_global_ios_tier',
        'can_read_global_android_tier',
        'can_read_write_global_android_tier',
        'can_read_global_windows_tier',
        'can_read_write_global_windows_tier',
        'can_read_global_platform',
        'can_read_write_global_platform'],
    RoleType.internal_developer: [
        'can_read_global_brand',
        'can_read_global_vendor',
        'can_view_global_internal_admin_panel'],
    RoleType.internal_marketing: [
        'can_read_global_author',
        'can_read_global_language',
        'can_read_associated_organization',
        'can_read_write_global_payment_user_item',
        'can_read_global_client',
        'can_read_write_global_client',
        'can_read_associated_analytical_report',
        'can_read_global_category',
        'can_read_global_platform',
        'can_read_write_global_currency',
        'can_read_write_global_vendor',
        'can_read_associated_book',
        'can_read_global_analytical_report',
        'can_read_write_global_organization',
        'can_read_global_banner',
        'can_read_global_user_point',
        'can_read_global_user',
        'can_read_write_global_banner',
        'can_read_write_public',
        'can_read_global_partner',
        'can_read_write_global_orderline',
        'can_read_write_global_order',
        'can_read_global_point',
        'can_read_global_organization_type',
        'can_read_global_device',
        'can_read_write_public_ext',
        'can_read_write_private_point',
        'can_read_global_payment_gateway',
        'can_read_global_item',
        'can_read_global_parental_control',
        'can_read_global_discount',
        'can_read_write_global_partner',
        'can_read_write_global_user_subscription',
        'can_read_global_orderline',
        'can_read_global_user_organization_role',
        'can_read_write_global_campaign',
        'can_read_global_country',
        'can_read_global_cart',
        'can_read_global_currency',
        'can_read_associated_user_organization_role',
        'can_read_associated_magazine',
        'can_read_global_brand',
        'can_read_write_global_discount',
        'can_read_global_payment',
        'can_read_global_user_item',
        'can_read_write_global_offer',
        'can_read_global_organization',
        'can_read_global_offer',
        'can_read_write_global_point',
        'can_read_global_order',
        'can_read_write_global_item_type',
        'can_read_write_global_user_point',
        'can_read_write_global_organization_type',
        'can_read_global_sales_report',
        'can_read_global_item_type',
        'can_view_global_internal_admin_panel',
        'can_read_private_point',
        'can_read_write_global_platform',
        'can_read_global_payment_user_item',
        'can_read_global_offer_type',
        'can_read_associated_item_file',
        'can_read_global_user_subscription',
        'can_read_write_global_payment',
        'can_read_global_campaign',
        'can_read_write_global_discount_code',
        'can_read_write_global_payment_gateway',
        'can_read_associated_sales_report',
        'can_read_write_associated_organization',
        'can_read_associated_item',
        'can_read_global_discount_code',
        'can_read_global_vendor',
        'can_read_associated_newspaper'],
    RoleType.internal_finance: [
        'can_read_global_partner',
        'can_read_write_global_user_point',
        'can_read_global_payment',
        'can_read_global_language',
        'can_read_write_global_payment',
        'can_read_write_global_organization_type',
        'can_read_private_point',
        'can_read_associated_sales_report',
        'can_read_global_platform',
        'can_read_global_orderline',
        'can_read_write_global_partner',
        'can_read_associated_organization',
        'can_read_associated_financial_report',
        'can_read_write_global_payment_user_item',
        'can_read_write_global_currencyquotes',
        'can_read_write_global_currency',
        'can_read_associated_analytical_report',
        'can_read_write_global_client',
        'can_read_global_category',
        'can_read_global_campaign',
        'can_read_global_currency',
        'can_read_global_order',
        'can_read_global_client',
        'can_read_associated_item',
        'can_read_global_analytical_report',
        'can_read_write_global_payment_gateway',
        'can_read_global_user_point',
        'can_read_global_offer_type',
        'can_read_global_user_subscription',
        'can_view_global_internal_admin_panel',
        'can_read_associated_item_file',
        'can_read_global_offer',
        'can_read_write_public_ext',
        'can_read_write_global_vendor',
        'can_read_global_user_organization_role',
        'can_read_global_country',
        'can_read_global_payment_user_item',
        'can_read_global_brand',
        'can_read_global_author',
        'can_read_global_point',
        'can_read_global_organization',
        'can_read_global_sales_report',
        'can_read_global_financial_report',
        'can_read_write_global_item_type',
        'can_read_write_global_organization',
        'can_read_global_organization_type',
        'can_read_write_global_user_subscription',
        'can_read_global_item',
        'can_read_global_vendor',
        'can_read_write_global_orderline',
        'can_read_global_item_type',
        'can_read_associated_user_organization_role',
        'can_read_global_discount',
        'can_read_write_global_platform',
        'can_read_write_public',
        'can_read_global_payment_gateway',
        'can_read_write_global_order',
        'can_read_global_currencyquotes',
        'can_read_global_parental_control',
        'can_read_global_user'],
    RoleType.internal_admin: [
        'can_read_global_parental_control',
        'can_read_write_global_all',
        'can_read_write_global_permission',
        'can_read_write_associated_magazine',
        'can_read_associated_book',
        'can_read_write_associated_book',
        'can_read_associated_newspaper',
        'can_read_global_brand',
        'can_read_write_global_brand',
        'can_read_global_category',
        'can_read_write_global_category',
        'can_read_write_global_parental_control',
        'can_read_global_language',
        'can_read_global_vendor',
        'can_read_write_global_language',
        'can_read_global_country',
        'can_read_write_global_country',
        'can_read_write_global_vendor',
        'can_read_global_author',
        'can_read_write_global_author',
        'can_read_global_offer',
        'can_read_write_global_offer',
        'can_read_global_discount_code',
        'can_read_write_global_discount_code',
        'can_read_global_cart',
        'can_read_write_global_cart',
        'can_read_write_global_token',
        'can_read_write_global_token_expiry',
        'can_read_global_user',
        'can_read_write_global_user',
        'can_read_associated_user',
        'can_read_write_associated_user',
        'can_read_private_user',
        'can_read_private_cart',
        'can_read_write_private_cart',
        'can_read_global_order',
        'can_read_write_global_order',
        'can_read_private_order',
        'can_read_write_private_order',
        'can_read_write_global_payment',
        'can_read_private_payment',
        'can_read_write_private_payment',
        'can_read_global_user_item',
        'can_read_write_global_user_item',
        'can_read_private_user_item',
        'can_read_write_private_user_item',
        'can_read_global_user_subscription',
        'can_read_private_user_subscription',
        'can_read_write_private_user_subscription',
        'can_read_global_point',
        'can_read_write_global_point',
        'can_read_write_global_orderline',
        'can_read_global_payment_user_item',
        'can_read_write_global_payment_user_item',
        'can_read_write_global_user_subscription',
        'can_read_global_analytic',
        'can_read_write_global_analytic',
        'can_read_global_refund',
        'can_read_write_global_refund',
        'can_read_global_banner',
        'can_read_write_global_banner',
        'can_read_write_public',
        'can_read_write_public_ext',
        'can_read_global_sales_report',
        'can_read_associated_sales_report',
        'can_read_global_analytical_report',
        'can_read_associated_analytical_report',
        'can_view_global_internal_admin_panel',
        'can_view_global_external_admin_panel',
        'can_read_global_financial_report',
        'can_read_global_flurry_report',
        'can_read_associated_financial_report',
        'can_read_associated_flurry_report',
        'can_read_write_private_user',
        'can_read_global_client',
        'can_read_write_global_client',
        'can_read_global_device',
        'can_read_global_organization_type',
        'can_read_write_global_organization_type',
        'can_read_global_organization',
        'can_read_write_associated_newspaper',
        'can_read_global_item_file',
        'can_read_write_private_device',
        'can_read_global_role',
        'can_read_write_global_role',
        'can_read_global_permission',
        'can_read_write_global_item_file',
        'can_read_associated_item_file',
        'can_read_write_associated_item_file',
        'can_read_global_offer_type',
        'can_read_write_global_discount',
        'can_read_global_user_organization_role',
        'can_read_write_global_user_organization_role',
        'can_read_associated_user_organization_role',
        'can_read_write_associated_user_organization_role',
        'can_read_write_global_organization',
        'can_read_associated_organization',
        'can_read_write_associated_organization',
        'can_read_global_item_type',
        'can_read_write_global_item_type',
        'can_read_global_item',
        'can_read_write_global_item',
        'can_read_associated_item',
        'can_read_write_associated_item',
        'can_read_associated_magazine',
        'can_read_write_global_campaign',
        'can_read_global_currency',
        'can_read_write_global_currency',
        'can_read_global_payment_gateway',
        'can_read_write_global_payment_gateway',
        'can_read_global_campaign',
        'can_read_global_discount',
        'can_read_global_partner',
        'can_read_write_global_partner',
        'can_read_private_point',
        'can_read_write_private_point',
        'can_read_global_platform',
        'can_read_write_global_platform',
        'can_read_global_orderline',
        'can_read_write_global_offer_type',
        'can_read_global_ios_tier',
        'can_read_write_global_ios_tier',
        'can_read_global_android_tier',
        'can_read_write_global_android_tier',
        'can_read_global_windows_tier',
        'can_read_write_global_windows_tier',
        'can_read_global_payment',
        'can_read_global_user_point',
        'can_read_write_global_user_point'],
    RoleType.super_admin: [
        'can_read_write_associated_book',
        'can_read_global_brand',
        'can_read_global_category',
        'can_read_global_language',
        'can_read_global_country',
        'can_read_global_parental_control',
        'can_read_global_vendor',
        'can_read_global_author',
        'can_read_global_offer',
        'can_read_associated_book',
        'can_read_associated_newspaper',
        'can_read_global_analytic',
        'can_read_write_global_analytic',
        'can_read_write_global_all',
        'can_read_write_global_permission',
        'can_read_write_global_brand',
        'can_read_write_global_category',
        'can_read_write_associated_magazine',
        'can_read_write_global_language',
        'can_read_write_global_country',
        'can_read_write_global_parental_control',
        'can_read_write_global_vendor',
        'can_read_write_global_author',
        'can_read_write_global_offer',
        'can_read_global_user',
        'can_read_write_global_token',
        'can_read_write_global_token_expiry',
        'can_read_write_global_user',
        'can_read_associated_user',
        'can_read_write_associated_user',
        'can_read_private_user',
        'can_read_associated_sales_report',
        'can_read_associated_analytical_report',
        'can_read_associated_financial_report',
        'can_read_associated_flurry_report',
        'can_read_global_sales_report',
        'can_read_global_analytical_report',
        'can_read_global_refund',
        'can_read_write_public',
        'can_read_write_public_ext',
        'can_read_global_banner',
        'can_view_global_external_admin_panel',
        'can_read_write_global_refund',
        'can_read_write_global_banner',
        'can_view_global_internal_admin_panel',
        'can_read_global_financial_report',
        'can_read_global_flurry_report',
        'can_read_global_client',
        'can_read_write_global_organization_type',
        'can_read_global_device',
        'can_read_associated_item_file',
        'can_read_global_role',
        'can_read_write_global_item_file',
        'can_read_write_associated_item_file',
        'can_read_write_global_discount',
        'can_read_write_global_discount_code',
        'can_read_global_permission',
        'can_read_global_organization_type',
        'can_read_global_organization',
        'can_read_global_item_file',
        'can_read_global_offer_type',
        'can_read_global_discount_code',
        'can_read_global_cart',
        'can_read_global_order',
        'can_read_write_associated_newspaper',
        'can_read_write_private_user',
        'can_read_write_global_client',
        'can_read_write_global_cart',
        'can_read_write_private_device',
        'can_read_write_global_role',
        'can_read_private_cart',
        'can_read_write_private_cart',
        'can_read_write_global_order',
        'can_read_private_order',
        'can_read_write_private_order',
        'can_read_write_global_payment',
        'can_read_private_payment',
        'can_read_global_user_organization_role',
        'can_read_write_global_item_type',
        'can_read_global_item_type',
        'can_read_write_global_item',
        'can_read_associated_item',
        'can_read_write_associated_item',
        'can_read_associated_magazine',
        'can_read_global_item',
        'can_read_global_user_item',
        'can_read_global_user_subscription',
        'can_read_global_point',
        'can_read_write_global_organization',
        'can_read_associated_organization',
        'can_read_write_associated_organization',
        'can_read_write_global_campaign',
        'can_read_write_private_payment',
        'can_read_write_global_user_item',
        'can_read_private_user_item',
        'can_read_write_private_user_item',
        'can_read_private_user_subscription',
        'can_read_write_global_user_organization_role',
        'can_read_associated_user_organization_role',
        'can_read_write_associated_user_organization_role',
        'can_read_write_private_user_subscription',
        'can_read_write_global_point',
        'can_read_write_global_orderline',
        'can_read_global_ios_tier',
        'can_read_global_android_tier',
        'can_read_global_windows_tier',
        'can_read_global_currency',
        'can_read_write_global_offer_type',
        'can_read_global_payment_gateway',
        'can_read_write_global_ios_tier',
        'can_read_global_campaign',
        'can_read_write_global_android_tier',
        'can_read_global_discount',
        'can_read_global_partner',
        'can_read_write_global_windows_tier',
        'can_read_global_platform',
        'can_read_global_orderline',
        'can_read_global_payment',
        'can_read_global_user_point',
        'can_read_global_payment_user_item',
        'can_read_write_global_payment_gateway',
        'can_read_write_global_currency',
        'can_read_write_global_partner',
        'can_read_private_point',
        'can_read_write_private_point',
        'can_read_write_global_platform',
        'can_read_write_global_user_point',
        'can_read_write_global_payment_user_item',
        'can_read_write_global_user_subscription'],
    RoleType.internal_admin_eperpus: ['can_read_write_public', 'can_read_write_public_ext'],
    RoleType.organization_admin_eperpus: ['can_read_write_public', 'can_read_write_public_ext'],
    RoleType.customer_support: ['can_read_global_cs', 'can_read_write_patch_cs'],
    RoleType.admin_customer_support: ['can_read_global_cs', 'can_read_write_patch_cs', 'can_read_write_agent_cs'],
    RoleType.publisher_eperpus: ['can_read_eperpus_lib'],
    RoleType.publisher_ebooks: ['can_read_ebook_library'],
}

#TODO: This Hardcode must change!! to big for changes now,... cant refactor, lot class super used!
